<?php

namespace StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for Get_PositionFromStreetInfo StructType
 * @subpackage Structs
 */
class Get_PositionFromStreetInfo extends AbstractStructBase
{
    /**
     * The Login
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var \StructType\Login
     */
    public $Login;
    /**
     * The StreetInfo
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var \StructType\StreetInfo
     */
    public $StreetInfo;
    /**
     * Constructor method for Get_PositionFromStreetInfo
     * @uses Get_PositionFromStreetInfo::setLogin()
     * @uses Get_PositionFromStreetInfo::setStreetInfo()
     * @param \StructType\Login $login
     * @param \StructType\StreetInfo $streetInfo
     */
    public function __construct(\StructType\Login $login = null, \StructType\StreetInfo $streetInfo = null)
    {
        $this
            ->setLogin($login)
            ->setStreetInfo($streetInfo);
    }
    /**
     * Get Login value
     * @return \StructType\Login|null
     */
    public function getLogin()
    {
        return $this->Login;
    }
    /**
     * Set Login value
     * @param \StructType\Login $login
     * @return \StructType\Get_PositionFromStreetInfo
     */
    public function setLogin(\StructType\Login $login = null)
    {
        $this->Login = $login;
        return $this;
    }
    /**
     * Get StreetInfo value
     * @return \StructType\StreetInfo|null
     */
    public function getStreetInfo()
    {
        return $this->StreetInfo;
    }
    /**
     * Set StreetInfo value
     * @param \StructType\StreetInfo $streetInfo
     * @return \StructType\Get_PositionFromStreetInfo
     */
    public function setStreetInfo(\StructType\StreetInfo $streetInfo = null)
    {
        $this->StreetInfo = $streetInfo;
        return $this;
    }
}
